## sdlip
Interface Metadata

All Known Implementing Classes:
  BritannicaLSP, ClientTransportModule, SimpleLSP, SwitchBoardLSP, Z39LSP

public interface Metadata

This is the Java mapping of the SDLIP Metadata interface.

Method Summary
`void` `getInterface(XMLObject theInterface)`
`void` `getPropertyInfo(java.lang.String subcolName, XMLObject propInfo)`
`void` `getSubcollectionInfo(XMLObject subcolInfo)`

Method Detail

### getInterface

    public void getInterface(XMLObject theInterface)
                      throws SDLIPException

    `SDLIPException`

### getSubcollectionInfo

    public void getSubcollectionInfo(XMLObject subcolInfo)
                              throws SDLIPException

    `SDLIPException`

### getPropertyInfo

    public void getPropertyInfo(java.lang.String subcolName,
                                XMLObject propInfo)
                         throws SDLIPException

    `SDLIPException`